summaryrefslogtreecommitdiff
path: root/make.sh
diff options
context:
space:
mode:
authorschizoid <schizoidparty@aol.com>2024-12-06 14:54:28 -0500
committerschizoid <schizoidparty@aol.com>2024-12-06 14:54:28 -0500
commit3aafbdf0c13f40636938685b1ed3641dca5ee26c (patch)
tree0b30820988d96b0a55fde20205f5734653c39c87 /make.sh
parent3ed68b62088dedfb4e7bcd43b953535966a916fe (diff)
Updated make.sh script for both Gnu/Linux and BSD
Diffstat (limited to 'make.sh')
-rwxr-xr-x[-rw-r--r--]make.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/make.sh b/make.sh
index 0d133cd..a5ffa69 100644..100755
--- a/make.sh
+++ b/make.sh
@@ -1,4 +1,14 @@
-#!/usr/bin/zsh
+#!/bin/sh
-rm config.h
-make install
+if command -v nproc >/dev/null 2>&1; then
+ cores=$(nproc)
+elif command -v sysctl >/dev/null 2>&1; then
+ cores=$(sysctl -n hw.ncpu)
+else
+ echo "Error: Unable to determine the number of CPU cores."
+ exit 1
+fi
+
+make clean;
+yes | rm config.h;
+make -j"$cores" && echo "Now run "doas make install" to install DWM" || echo "Error"